質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.99%

Redmine3.4をインストールしたが403エラー。(CentOS7+httpd2.4)

受付中

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 3,621

hirarin

score 4

前提・実現したいこと

Redmine3.4をインストールしたが403エラー。(CentOS7+httpd2.4)

「Forbidden
You don't have permission to access /redmine on this server.」
が返されてしまいます。

ログをみて、いろいろ対処を行ってみましたが、もうお手上げです。
アドバイスをお願いできますでしょうか。

こちらのサイト
http://blog.redmine.jp/articles/3_4/install/centos/
を参考にして構築を行いました。

発生している問題・エラーメッセージ

Redmineのページ http://example.com/redmine にアクセスすると 
次のエラーが表示される。

[root@tredmine]# tail -f /var/log/httpd/error_log

[Sat Nov 04 19:09:05.049475 2017] [core:error] [pid 27044] (13)Permission denied: [client ××.××.182:60288] AH00035: access to /redmine denied (filesystem path '/var/lib/redmine/public') because search permissions are missing on a component of the path

該当のソースコード

[root@redmine]# cat /etc/httpd/conf.d/redmine.conf

<Directory "/var/lib/redmine/public">
  Require all granted
</Directory>

LoadModule passenger_module /usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.11/buildout/apache2/mod_passenger.so
<IfModule mod_passenger.c>
  PassengerRoot /usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.11
  PassengerDefaultRuby /usr/local/bin/ruby
</IfModule>

Header always unset "X-Powered-By"
Header always unset "X-Runtime"

guide(https://www.phusionpassenger.com/library/config/apache/reference/)参照。
PassengerMaxPoolSize 20
PassengerMaxInstancesPerApp 4
PassengerPoolIdleTime 864000
PassengerHighPerformance on
PassengerStatThrottleRate 10
PassengerSpawnMethod smart
PassengerFriendlyErrorPages off
#PassengerLogFile /var/log/httpd/passenger_error.log

RackBaseURI /redmine

Alias /redmine /var/lib/redmine/public
<Location /redmine>
  PassengerBaseURI /redmine
  PassengerAppRoot /var/lib/redmine
</Location>

試したこと

httpd restart を実行し、エラーログを確認しました。

[Sat Nov 04 19:18:18.341890 2017] [mpm_prefork:notice] [pid 27150] AH00170: caught SIGWINCH, shutting down gracefully
[Sat Nov 04 19:18:19.425401 2017] [suexec:notice] [pid 27173] AH01232: suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Sat Nov 04 19:18:19.432082 2017] [passenger:error] [pid 27173] * Passenger could not be initialized because of this error: Unable to start the Phusion Passenger watchdog because its executable (/usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.11/buildout/agents/PassengerWatchdog) does not exist. This probably means that your Phusion Passenger installation is broken or incomplete, or that your 'PassengerRoot' directive is set to the wrong value. Please reinstall Phusion Passenger or fix your 'PassengerRoot' directive, whichever is applicable. To learn how to fix 'PassengerRoot', please read https://www.phusionpassenger.com/documentation/Users%20guide%20Apache.html#PassengerRoot [Sat Nov 04 19:18:19.453291 2017] [so:warn] [pid 27173] AH01574: module passenger_module is already loaded, skipping [Sat Nov 04 19:18:19.454638 2017] [auth_digest:notice] [pid 27173] AH01757: generating secret for digest authentication ... [Sat Nov 04 19:18:19.455916 2017] [lbmethod_heartbeat:notice] [pid 27173] AH02282: No slotmem from mod_heartmonitor [Sat Nov 04 19:18:19.470107 2017] [passenger:error] [pid 27173] * Passenger could not be initialized because of this error: Unable to start the Phusion Passenger watchdog because its executable (/usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.11/buildout/agents/PassengerWatchdog) does not exist. This probably means that your Phusion Passenger installation is broken or incomplete, or that your 'PassengerRoot' directive is set to the wrong value. Please reinstall Phusion Passenger or fix your 'PassengerRoot' directive, whichever is applicable. To learn how to fix 'PassengerRoot', please read https://www.phusionpassenger.com/documentation/Users%20guide%20Apache.html#PassengerRoot
[Sat Nov 04 19:18:19.475702 2017] [mpm_prefork:notice] [pid 27173] AH00163: Apache/2.4.6 (CentOS) Phusion_Passenger/4.0.53 configured -- resuming normal operations
[Sat Nov 04 19:18:19.475785 2017] [core:notice] [pid 27173] AH00094: Command line: '/usr/sbin/httpd -D FOREGROUND'

補足情報(言語/FW/ツール等のバージョンなど)

CentOS Linux release 7.4.1708 (Core)
httpd 2.4.6
Ruby 2.4.2

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • kentei_syunrai

    2017/11/11 14:19

    参考ページの手順どうりに構築していると考えればよいですか? SELinuxは無効化していますか?

    キャンセル

  • hirarin

    2017/12/07 19:50

    はい、参考ページの手順どおりに構築しています。SELinuxは無効化しています。

    キャンセル

回答 2

0

以下を確認してください。

■redmine.confの記載が正しいかどうか

LoadModule passenger_module /usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.11/buildout/apache2/mod_passenger.so
<IfModule mod_passenger.c>
  PassengerRoot /usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.11
  PassengerDefaultRuby /usr/local/bin/ruby
</IfModule>

上記の/etc/httpd/conf.d/redmine.conf の記載ですが、
passengerのバージョンは正しいですか?

1つ前の項で「passenger-install-apache2-module --snippet」を実行していると思いますが、
そこで出力されるものを記載する必要があります。

■「bundle install --without development test --path vendor/bundle」に失敗していないか

本コマンドをたたいた際に、言われた通りにやっているとmysqlがなくて失敗するようです。
コマンドをたたく前に以下を実行する必要があります。(1つめは念のためです。念のためデフォルトのmariadbを消しています。)

yum remove mariadb-libs
yum install mysql-devel

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/12/11 13:34

    ありがとうございます。bundle install で失敗していました。
    記載いただいた内容で試したところ、インストールに成功しました。
    しかし、403エラーは回避できず。

    Apacheのエラーログには、次のようなエラーが記録されていました。


    [Mon Dec 11 13:28:36.830302 2017] [passenger:error] [pid 30108] *** Passenger could not be initialized because of this error: Unable to start the Phusion Passenger watchdog because its executable (/usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.12/buildout/agents/PassengerWatchdog) does not exist. This probably means that your Phusion Passenger installation is broken or incomplete, or that your 'PassengerRoot' directive is set to the wrong value. Please reinstall Phusion Passenger or fix your 'PassengerRoot' directive, whichever is applicable. To learn how to fix 'PassengerRoot', please read https://www.phusionpassenger.com/documentation/Users%20guide%20Apache.html#PassengerRoot
    [Mon Dec 11 13:28:36.849648 2017] [so:warn] [pid 30108] AH01574: module passenger_module is already loaded, skipping
    [Mon Dec 11 13:28:36.849740 2017] [so:warn] [pid 30108] AH01574: module passenger_module is already loaded, skipping
    [Mon Dec 11 13:28:36.851003 2017] [auth_digest:notice] [pid 30108] AH01757: generating secret for digest authentication ...
    [Mon Dec 11 13:28:36.852216 2017] [lbmethod_heartbeat:notice] [pid 30108] AH02282: No slotmem from mod_heartmonitor
    [Mon Dec 11 13:28:36.865404 2017] [passenger:error] [pid 30108] *** Passenger could not be initialized because of this error: Unable to start the Phusion Passenger watchdog because its executable (/usr/local/lib/ruby/gems/2.4.0/gems/passenger-5.1.12/buildout/agents/PassengerWatchdog) does not exist. This probably means that your Phusion Passenger installation is broken or incomplete, or that your 'PassengerRoot' directive is set to the wrong value. Please reinstall Phusion Passenger or fix your 'PassengerRoot' directive, whichever is applicable. To learn how to fix 'PassengerRoot', please read https://www.phusionpassenger.com/documentation/Users%20guide%20Apache.html#PassengerRoot
    [Mon Dec 11 13:28:36.869296 2017] [mpm_prefork:notice] [pid 30108] AH00163: Apache/2.4.6 (CentOS) Phusion_Passenger/4.0.53 configured -- resuming normal operations
    [Mon Dec 11 13:28:36.869324 2017] [core:notice] [pid 30108] AH00094: Command line: '/usr/sbin/httpd -D FOREGROUND'


    [Mon Dec 11 13:28:51.196764 2017] [autoindex:error] [pid 30113] [client 210.136.166.160:6633] AH01276: Cannot serve directory /var/lib/redmine/public/: No matching DirectoryIndex (index.html) found, and server-generated directory index forbidden by Options directive
    ^C

    キャンセル

  • 2017/12/11 23:24

    /etc/httpd/conf.d/redmine.conf はちゃんと直していますか?

    まずは参考サイトと同じになるようにしてください。(RackBaseURI /redmineなどはないはずです)

    キャンセル

0

SELinuxは無効になっていますでしょうか?

http://blog.redmine.jp/articles/3_4/install/centos/ 内の「SELinuxを無効にする」に書かれている設定を再度確認いただけますか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/12/11 13:31

    はい、無効化しています。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.99%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる